### Class

# Ide SearchResult

#### Description

    class Ide.SearchResult : Dazzle.Suggestion {
      parent_instance: DzlSuggestion
    }

No description available.

#### Ancestors

- DzlSuggestion
- GObject

#### Constructors

###### ide_search_result_new

No description available.

#### Functions

###### ide_search_result_compare

No description available.

#### Instance methods

###### ide_search_result_activate

Requests that `self` activate. `last_focus` is provided so that the search result may activate `GAction` or other context-specific actions.

Available since: 3.32

###### ide_search_result_get_priority

No description available.

###### ide_search_result_get_score

No description available.

###### ide_search_result_set_icon

No description available.

###### ide_search_result_set_priority

No description available.

###### ide_search_result_set_score

No description available.

##### Methods inherited from DzlSuggestion (16)

###### dzl_suggestion_get_icon

Gets the icon for the suggestion, if any.

Available since: 3.30

###### dzl_suggestion_get_icon_name

No description available.

###### dzl_suggestion_get_icon_surface

This function allows subclasses to dynamicly generate content for the suggestion such as may be required when integrating with favicons or similar.

Available since: 3.30

###### dzl_suggestion_get_id

No description available.

###### dzl_suggestion_get_secondary_icon

Gets the secondary icon for the suggestion, if any.

Available since: 3.36

###### dzl_suggestion_get_secondary_icon_name

No description available.

###### dzl_suggestion_get_secondary_icon_surface

This function allows subclasses to dynamicly generate content for the suggestion such as may be required when integrating with favicons or similar.

Available since: 3.36

###### dzl_suggestion_get_subtitle

No description available.

###### dzl_suggestion_get_title

No description available.

###### dzl_suggestion_replace_typed_text

This function is meant to be used to replace the text in the entry with text that represents the suggestion most accurately. This happens when the user presses tab while typing a suggestion. For example, if typing “gno” in the entry, you might have a suggest_suffix of “me.org” so that the user sees “gnome.org”. But the replace_typed_text might include more data such as “https://gnome.org” as it more closely represents the suggestion.

###### dzl_suggestion_set_icon_name

No description available.

###### dzl_suggestion_set_id

No description available.

###### dzl_suggestion_set_secondary_icon_name

No description available.

###### dzl_suggestion_set_subtitle

No description available.

###### dzl_suggestion_set_title

No description available.

###### dzl_suggestion_suggest_suffix

This function requests potential text to append to `typed_text` to make it more clear to the user what they will be activating by selecting this suggestion. For example, if they start typing “gno”, a potential suggested suffix might be “me.org” to create “gnome.org”.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.SearchResult:priority

No description available.

###### Ide.SearchResult:score

No description available.

##### Properties inherited from DzlSuggestion (7)

###### Dazzle.Suggestion:icon

No description available.

###### Dazzle.Suggestion:icon-name

No description available.

###### Dazzle.Suggestion:id

No description available.

###### Dazzle.Suggestion:secondary-icon

No description available.

###### Dazzle.Suggestion:secondary-icon-name

No description available.

###### Dazzle.Suggestion:subtitle

No description available.

###### Dazzle.Suggestion:title

No description available.

#### Signals

##### Signals inherited from DzlSuggestion (2)

###### Dazzle.Suggestion::replace-typed-text

No description available.

###### Dazzle.Suggestion::suggest-suffix

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSearchResultClass {
      DzlSuggestionClass parent_class;
      void (* activate) (
        IdeSearchResult* self,
        GtkWidget* last_focus
      );

    }

###### Class members

`parent_class` |
    DzlSuggestionClass
| No description available.
`activate` |
    void (* activate) (
        IdeSearchResult* self,
        GtkWidget* last_focus
      )
| No description available.

#### Virtual methods

###### Ide.SearchResultClass.activate

Requests that `self` activate. `last_focus` is provided so that the search result may activate `GAction` or other context-specific actions.

Available since: 3.32